CHPASSWD(8)

NOME
chpasswd - aggiorna le password in modo non interattivo

SINOSSI

chpasswd [options]

DESCRIZIONE

The chpasswd command reads a list of user name and password pairs from standard input and uses this information to update a group of existing users. Each line is of the format:

user_name:password

By default the passwords must be supplied in clear-text, and are encrypted by chpasswd. Also the password age will be updated, if present.

By default, passwords are encrypted by PAM, but (even if not recommended) you can select a different encryption method with the -e, -m, or -c options.

Except when PAM is used to encrypt the passwords, chpasswd first updates all the passwords in memory, and then commits all the changes to disk if no errors occurred for any user.

When PAM is used to encrypt the passwords (and update the passwords in the system database) then if a password cannot be updated chpasswd continues updating the passwords of the next users, and will return an error code on exit.

Questo comando è appositamente pensato per grossi sistemi in cui si abbia la necessità di creare molti account nello stesso momento.

OPZIONI

The options which apply to the chpasswd command are:

-c, --crypt-method METHOD
    Utilizza il metodo specificato per cifrare le password.

    The available methods are DES, MD5, SHA256, SHA512, YESCRYPT and NONE if your libc supports these methods.

    PAM viene utilizzato, in maniera predefinita, per cifrare le password.

-e, --encrypted
    Le password fornite sono in forma cifrata.

-h, --help
    Mostra un messaggio di aiuto ed esce.

-m, --md5
    Usa la cifratura MD5 anziché DES quando le password fornite non sono cifrate.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported.

-P, --prefix PREFIX_DIR
    Apply changes to configuration files under the root filesystem found under the directory PREFIX_DIR. This option does not chroot and is intended for preparing a cross-compilation target. Some limitations: NIS and LDAP users/groups are not verified. PAM authentication is using the host files. No SELINUX support.

-s, --sha-rounds ROUNDS
    Usa il numero specificato di cicli per cifrare la password.

    You can only use this option with crypt method: SHA256 SHA512 YESCRYPT

    By default, the number of rounds for SHA256 or SHA512 is defined by the SHA_CRYPT_MIN_ROUNDS and SHA_CRYPT_MAX_ROUNDS variables in /etc/login.defs.

    A minimal value of 1000 and a maximal value of 999,999,999 will be enforced for SHA256 and SHA512. The default number of rounds is 5000.

    By default, the number of rounds for YESCRYPT is defined by the YESCRYPT_COST_FACTOR in /etc/login.defs.

    A minimal value of 1 and a maximal value of 11 will be enforced for YESCRYPT. The default number of rounds is 5.

AVVISI/CAVEAT

Ricordarsi di impostare i permessi o umask in modo da prevenire la lettura in chiaro da parte di altri utenti.

CONFIGURAZIONE

The following configuration variables in /etc/login.defs change the behavior of this tool:

FILE

/etc/passwd
    Informazioni sugli account utente.

/etc/shadow
    Informazioni sicure sugli account utente.

/etc/login.defs
    Configurazione del pacchetto password shadow

/etc/pam.d/chpasswd
    PAM configuration for chpasswd.

VEDERE ANCHE

passwd(1), newusers(8), login.defs(5), useradd(8).